Get form
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/marketing/forms/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"status": "<string>",
"visibility": "<string>",
"inviteCode": "<string>",
"fields": [
{}
],
"settings": {},
"themePrimaryColor": "<string>",
"themeBackgroundColor": "<string>",
"successMessage": "<string>",
"closeAt": "2023-11-07T05:31:56Z",
"maxResponses": 123,
"responseCount": 123,
"requireEmail": true,
"requireName": true,
"requirePhone": true,
"allowMultipleSubmissions": true,
"publishedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Forms
Get form
Requires read:forms.
GET
/
api
/
v1
/
marketing
/
forms
/
{id}
Get form
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/marketing/forms/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"status": "<string>",
"visibility": "<string>",
"inviteCode": "<string>",
"fields": [
{}
],
"settings": {},
"themePrimaryColor": "<string>",
"themeBackgroundColor": "<string>",
"successMessage": "<string>",
"closeAt": "2023-11-07T05:31:56Z",
"maxResponses": 123,
"responseCount": 123,
"requireEmail": true,
"requireName": true,
"requirePhone": true,
"allowMultipleSubmissions": true,
"publishedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Was this page helpful?
⌘I